/*
 * Class BILINEAR [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1636 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1636 [] = {0xFF01,1551,1635,875,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1636 [] = {0xFF01,1635,875,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1636 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1636 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1636 [] = {0xFF01,1635,875,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1636 [] = {0xFF01,1635,875,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1636 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1636 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1636 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1636 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1636 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1636 [] = {1635,875,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1636 [] = {0xFF01,1635,875,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1636 [] = {0xFF01,1614,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1636 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1636 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1636 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1636[] = {
	{EIF_GENERIC(NULL), 8948, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1636), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1636), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1636), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1636), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1636), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1636), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1636), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1636), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1636), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1636), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1636), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1636), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1636), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1636), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8604, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8605, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8606, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8607, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1636), 8772, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1636), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8762, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8764, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1636), 8765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1636), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8946, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8768, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8763, 0xFFFFFFFF},
};
void Init1636(void)
{
	IDSC(desc_1636, 0, 1635);
	IDSC(desc_1636 + 1, 1, 1635);
	IDSC(desc_1636 + 32, 1134, 1635);
	IDSC(desc_1636 + 41, 1444, 1635);
	IDSC(desc_1636 + 50, 1534, 1635);
	IDSC(desc_1636 + 57, 1245, 1635);
}


#ifdef __cplusplus
}
#endif
